Skip to main content
GET
/
v2
/
api
eth_getStorageAt
curl --request GET \
  --url https://api.etherscan.io/v2/api
import requests

url = "https://api.etherscan.io/v2/api"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.etherscan.io/v2/api', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "0x0000000000000000000000000000000000000000000000000000000000000000"
}

Query Parameters

apikey
string
default:"YourApiKeyToken"
Your Etherscan API key.
chainid
string
default:"1"
Chain ID to query, eg 1 for Ethereum, 8453 for Base from our supported chains.
module
string
default:"proxy"
Set to proxy for this endpoint.
action
string
default:"eth_getStorageAt"
Set to eth_getStorageAt for this endpoint.
address
string
default:"0x6e03d9cce9d60f3e9f2597e13cd4c54c55330cfd"
The address to query.
position
string
default:"0x0"
Storage position in hex.
tag
string
default:"latest"
Use latest, earliest, pending, or a block number in hex.
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "0x0000000000000000000000000000000000000000000000000000000000000000"
}